/*

Copyright _ 2005, Tristan Zand All rights reserved.
http://zzz.ch
update to work with Safari 3 - 20080102me (id to name bug, null.gif width for fingerover)
Dashboard widget made to view all chords on guitar, bass, keyboards, ... , hope you like it!

*/

/***********************************/
// SAVING AND RETRIEVING PREFERENCES
/***********************************/

// setup() is run when the body loads.  It checks to see if there is a preference for this widget
// and if so, applies the preference to the widget.

function setup()
{
	if(window.widget)		// always check to make sure that you are running in Dashboard
	{
		// The preferences are retrieved:
		var worldString = widget.preferenceForKey("worldString");
		var leftOffset = widget.preferenceForKey("leftOffset");

		if (worldString && worldString.length > 0)  // if the retrieved preferences are not empty,
		{											// they are restored.
			worldText.innerText = worldString;
			worldText.style.left = leftOffset;
		}
		defineVarsForChords();  
	}
}

function defineVarsForChords()
{
	chordtype_maj=false;
	chordtype_min=false;
	chordtype_seventh=true;
	chordtype_sixth=false;
	chordtype_ninth=false;
	chordtype_second=false;
	chordtype_fourth=false;
	chordtype_fifth=false;
	chordtype_eleventh=false;
	chordtype_aug=false;
	chordtype_sus=false;
	chordtype_dim=false;
}

// changeWorld() is called whenever a menu item is chosen in the widget's preferences.  It queries the
// menu to find out which option was chosen, applies the change to the widget, and saves the preference.

function changeWorld(elem)
{	
	var world = document.getElementById("worldText");
	
	switch( parseInt(elem.options[elem.selectedIndex].value) )					// find out which option was chosen
	{
		case 1: 									// if option #1 ("Hello, World!")	
			world.innerText="Hello, World!";		// change the front text to "Hello, World!" & adjust the style
			world.style.left="46px";
			if(window.widget)
			{
				widget.setPreferenceForKey("Hello, World!","worldString");		// and save the new preference to disk
				widget.setPreferenceForKey("46px","leftOffset");
			}
			break;
		case 2:										// if option #2 ("Goodbye, World!")
			world.innerText="Goodbye, World!";		// change the front text to "Goodbye, World!" & adjust the style
			world.style.left="26px";
			if(window.widget)
			{
				widget.setPreferenceForKey("Goodbye, World!","worldString");	// and save the new preference to disk
				widget.setPreferenceForKey("26px","leftOffset");
			}
			break;
	}
} 

function clear_keys()
{
		document.keyb_c.src="null.png";
		document.keyb_db.src="null.png";
		document.keyb_d.src="null.png";
		document.keyb_eb.src="null.png";
		document.keyb_e.src="null.png";
		document.keyb_f.src="null.png";
		document.keyb_gb.src="null.png";
		document.keyb_g.src="null.png";
		document.keyb_ab.src="null.png";
		document.keyb_a.src="null.png";
		document.keyb_bb.src="null.png";
		document.keyb_b.src="null.png";
		document.keyb_c_big.src="null.png";
		document.keyb_d_big.src="null.png";
		document.keyb_e_big.src="null.png";
		document.keyb_f_big.src="null.png";
		document.keyb_g_big.src="null.png";
		document.keyb_a_big.src="null.png";
		document.keyb_b_big.src="null.png";
		document.fingernail01.src = "null.png";
		document.fingernail02.src = "null.png";
		document.fingernail03.src = "null.png";
		document.fingernail04.src = "null.png";
		document.fingernail05.src = "null.png";
		document.fingernail06.src = "null.png";
		document.fingernail07.src = "null.png";
		document.fingernail08.src = "null.png";
		document.fingernail09.src = "null.png";
		document.fingernail010.src = "null.png";
		document.fingernail011.src = "null.png";
		document.fingernail012.src = "null.png";

		document.case10.src="null.png";
		document.case11.src="null.png";
		document.case12.src="null.png";
		document.case13.src="null.png";
		document.case14.src="null.png";
		document.case15.src="null.png";
		document.case16.src="null.png";
		document.case17.src="null.png";
		document.case18.src="null.png";
		document.case19.src="null.png";
		document.case110.src="null.png";
		document.case111.src="null.png";
		document.case112.src="null.png";
		document.fingernail11.src = "null.png";
		document.fingernail12.src = "null.png";
		document.fingernail13.src = "null.png";
		document.fingernail14.src = "null.png";
		document.fingernail15.src = "null.png";
		document.fingernail16.src = "null.png";
		document.fingernail17.src = "null.png";
		document.fingernail18.src = "null.png";
		document.fingernail19.src = "null.png";
		document.fingernail110.src = "null.png";
		document.fingernail111.src = "null.png";
		document.fingernail112.src = "null.png";
	
		document.case20.src="null.png";
		document.case21.src="null.png";
		document.case22.src="null.png";
		document.case23.src="null.png";
		document.case24.src="null.png";
		document.case25.src="null.png";
		document.case26.src="null.png";
		document.case27.src="null.png";
		document.case28.src="null.png";
		document.case29.src="null.png";
		document.case210.src="null.png";
		document.case211.src="null.png";
		document.case212.src="null.png";
		document.fingernail21.src = "null.png";
		document.fingernail22.src = "null.png";
		document.fingernail23.src = "null.png";
		document.fingernail24.src = "null.png";
		document.fingernail25.src = "null.png";
		document.fingernail26.src = "null.png";
		document.fingernail27.src = "null.png";
		document.fingernail28.src = "null.png";
		document.fingernail29.src = "null.png";
		document.fingernail210.src = "null.png";
		document.fingernail211.src = "null.png";
		document.fingernail212.src = "null.png";

		document.case30.src="null.png";
		document.case31.src="null.png";
		document.case32.src="null.png";
		document.case33.src="null.png";
		document.case34.src="null.png";
		document.case35.src="null.png";
		document.case36.src="null.png";
		document.case37.src="null.png";
		document.case38.src="null.png";
		document.case39.src="null.png";
		document.case310.src="null.png";
		document.case311.src="null.png";
		document.case312.src="null.png";
		document.fingernail31.src = "null.png";
		document.fingernail32.src = "null.png";
		document.fingernail33.src = "null.png";
		document.fingernail34.src = "null.png";
		document.fingernail35.src = "null.png";
		document.fingernail36.src = "null.png";
		document.fingernail37.src = "null.png";
		document.fingernail38.src = "null.png";
		document.fingernail39.src = "null.png";
		document.fingernail310.src = "null.png";
		document.fingernail311.src = "null.png";
		document.fingernail312.src = "null.png";

		document.case40.src="null.png";
		document.case41.src="null.png";
		document.case42.src="null.png";
		document.case43.src="null.png";
		document.case44.src="null.png";
		document.case45.src="null.png";
		document.case46.src="null.png";
		document.case47.src="null.png";
		document.case48.src="null.png";
		document.case49.src="null.png";
		document.case410.src="null.png";
		document.case411.src="null.png";
		document.case412.src="null.png";
		document.fingernail41.src = "null.png";
		document.fingernail42.src = "null.png";
		document.fingernail43.src = "null.png";
		document.fingernail44.src = "null.png";
		document.fingernail45.src = "null.png";
		document.fingernail46.src = "null.png";
		document.fingernail47.src = "null.png";
		document.fingernail48.src = "null.png";
		document.fingernail49.src = "null.png";
		document.fingernail410.src = "null.png";
		document.fingernail411.src = "null.png";
		document.fingernail412.src = "null.png";

		document.case50.src="null.png";
		document.case51.src="null.png";
		document.case52.src="null.png";
		document.case53.src="null.png";
		document.case54.src="null.png";
		document.case55.src="null.png";
		document.case56.src="null.png";
		document.case57.src="null.png";
		document.case58.src="null.png";
		document.case59.src="null.png";
		document.case510.src="null.png";
		document.case511.src="null.png";
		document.case512.src="null.png";
		document.fingernail51.src = "null.png";
		document.fingernail52.src = "null.png";
		document.fingernail53.src = "null.png";
		document.fingernail54.src = "null.png";
		document.fingernail55.src = "null.png";
		document.fingernail56.src = "null.png";
		document.fingernail57.src = "null.png";
		document.fingernail58.src = "null.png";
		document.fingernail59.src = "null.png";
		document.fingernail510.src = "null.png";
		document.fingernail511.src = "null.png";
		document.fingernail512.src = "null.png";

		document.case60.src="null.png";
		document.case61.src="null.png";
		document.case62.src="null.png";
		document.case63.src="null.png";
		document.case64.src="null.png";
		document.case65.src="null.png";
		document.case66.src="null.png";
		document.case67.src="null.png";
		document.case68.src="null.png";
		document.case69.src="null.png";
		document.case610.src="null.png";
		document.case611.src="null.png";
		document.case612.src="null.png";
		document.fingernail61.src = "null.png";
		document.fingernail62.src = "null.png";
		document.fingernail63.src = "null.png";
		document.fingernail64.src = "null.png";
		document.fingernail65.src = "null.png";
		document.fingernail66.src = "null.png";
		document.fingernail67.src = "null.png";
		document.fingernail68.src = "null.png";
		document.fingernail69.src = "null.png";
		document.fingernail610.src = "null.png";
		document.fingernail611.src = "null.png";
		document.fingernail612.src = "null.png";
}

function change_hand()
{
	if (document.handmode=="on")
	{
		document.hand_mode.src="fingers_img/hand_off.png";
		document.handmode="off";
	}
	else
	{
		document.hand_mode.src="fingers_img/hand_on.png";
		document.handmode="on";
	}
}

function change_sus()
{
	document.sus_mode.src="mode_img/sus_on.png";
	document.mode="sus";
	document.maj_mode.src="mode_img/maj_off.png";
	document.min_mode.src="mode_img/min_off.png";  
	document.dim_mode.src="mode_img/dim_off.png";
	document.aug_mode.src="mode_img/aug_off.png";  
}

function change_seventh()
{
	if (document.surmode=="7")
	{
		document.seventh_mode.src="mode_img/7_off.png";
		document.surmode="-";
	}
	else
	{
		document.seventh_mode.src="mode_img/7_on.png";
		document.surmode="7";
	}
	document.seventhdom_mode.src="mode_img/7dom_off.png";
}

function change_seventhdom()
{
	if (document.surmode=="7dom")
	{
		document.seventhdom_mode.src="mode_img/7dom_off.png";
		document.surmode="-";
	}
	else
	{
		document.seventhdom_mode.src="mode_img/7dom_on.png";
		document.surmode="7dom";
	}
	document.seventh_mode.src="mode_img/7_off.png";
}

function change_key_icon(key)
{
document.key=key;
if (key=="c") 
	{
		document.keyicon.src="key_img/key_c.gif";
		clear_keys();
		document.keyb_c.src="pixel_red.png";
		document.keyb_c_big.src="pixel_red.png";

		document.case18.src="note_img/note_red_pt.png";
		document.case21.src="note_img/note_red_pt.png";
		document.case35.src="note_img/note_red_pt.png";
		document.case410.src="note_img/note_red_pt.png";
		document.case53.src="note_img/note_red.png";
		document.case68.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerbar.png";
				document.fingernail53.src = "fingers_img/fingernail.png";

				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_f.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_g.src="pixel_green.png";
			document.keyb_g_big.src="pixel_green.png";

			document.case11.src="note_img/note_blue_pt.png";
			document.case26.src="note_img/note_blue_pt.png";
			document.case310.src="note_img/note_blue_pt.png";
			document.case43.src="note_img/note_blue_pt.png";
			document.case58.src="note_img/note_blue_pt.png";
			document.case61.src="note_img/note_blue_pt.png";			
			
			document.case13.src="note_img/note_green_pt.png";
			document.case28.src="note_img/note_green_pt.png";
			document.case30.src="note_img/note_green_pt.png";
			document.case312.src="note_img/note_green_pt.png";
			document.case45.src="note_img/note_green_pt.png";
			document.case510.src="note_img/note_green_pt.png";
			document.case63.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerbar.png";
				document.fingernail53.src = "fingers_img/fingernail.png";
			}
			document.keyb_e.src="pixel_blue.png";
			document.keyb_e_big.src="pixel_blue.png";
			document.keyb_g.src="pixel_green.png";
			document.keyb_g_big.src="pixel_green.png";

			document.case10.src="note_img/note_blue_pt.png";
			document.case112.src="note_img/note_blue_pt.png";
			document.case25.src="note_img/note_blue_pt.png";
			document.case39.src="note_img/note_blue_pt.png";
			document.case42.src="note_img/note_blue_pt.png";
			document.case57.src="note_img/note_blue_pt.png";
			document.case60.src="note_img/note_blue_pt.png";			
			document.case612.src="note_img/note_blue_pt.png";			
			
			document.case13.src="note_img/note_green_pt.png";
			document.case28.src="note_img/note_green_pt.png";
			document.case30.src="note_img/note_green_pt.png";
			document.case312.src="note_img/note_green_pt.png";
			document.case45.src="note_img/note_green_pt.png";
			document.case510.src="note_img/note_green_pt.png";
			document.case63.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingerbar.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingerbar.png";
				document.fingernail43.src = "fingers_img/fingerbar.png";
				document.fingernail53.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingerover.png";
				document.fingernail35.src = "fingers_img/fingerbar.png";
				document.fingernail45.src = "fingers_img/fingernail.png";

				document.fingernail66.src = "fingers_img/x.png";
			}
			document.keyb_eb.src="pixel_blue.png";
			document.keyb_g.src="pixel_green.png";
			document.keyb_g_big.src="pixel_green.png";

			document.case111.src="note_img/note_blue_pt.png";
			document.case24.src="note_img/note_blue_pt.png";
			document.case38.src="note_img/note_blue_pt.png";
			document.case41.src="note_img/note_blue_pt.png";
			document.case56.src="note_img/note_blue_pt.png";
			document.case611.src="note_img/note_blue_pt.png";			

			document.case13.src="note_img/note_green_pt.png";
			document.case28.src="note_img/note_green_pt.png";
			document.case30.src="note_img/note_green_pt.png";
			document.case312.src="note_img/note_green_pt.png";
			document.case45.src="note_img/note_green_pt.png";
			document.case510.src="note_img/note_green_pt.png";
			document.case63.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerover.png";
				document.fingernail53.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerbar.png";
				document.fingernail34.src = "fingers_img/fingerbar.png";
				document.fingernail44.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingerover.png";
				document.fingernail35.src = "fingers_img/fingernail.png";

				document.fingernail16.src = "fingers_img/x.png";
				document.fingernail66.src = "fingers_img/x.png";
			}
			document.keyb_eb.src="pixel_blue.png";
			document.keyb_gb.src="pixel_green.png";

			document.case111.src="note_img/note_blue_pt.png";
			document.case24.src="note_img/note_blue_pt.png";
			document.case38.src="note_img/note_blue_pt.png";
			document.case41.src="note_img/note_blue_pt.png";
			document.case56.src="note_img/note_blue_pt.png";
			document.case611.src="note_img/note_blue_pt.png";			

			document.case12.src="note_img/note_green_pt.png";
			document.case27.src="note_img/note_green_pt.png";
			document.case311.src="note_img/note_green_pt.png";
			document.case44.src="note_img/note_green_pt.png";
			document.case59.src="note_img/note_green_pt.png";
			document.case62.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerover.png";
				document.fingernail53.src = "fingers_img/fingernail.png";
			}
			document.keyb_e.src="pixel_blue.png";
			document.keyb_e_big.src="pixel_blue.png";
			document.keyb_ab.src="pixel_green.png";

			document.case10.src="note_img/note_blue_pt.png";
			document.case112.src="note_img/note_blue_pt.png";
			document.case25.src="note_img/note_blue_pt.png";
			document.case39.src="note_img/note_blue_pt.png";
			document.case42.src="note_img/note_blue_pt.png";
			document.case57.src="note_img/note_blue_pt.png";
			document.case60.src="note_img/note_blue_pt.png";			
			document.case612.src="note_img/note_blue_pt.png";			

			document.case14.src="note_img/note_green_pt.png";
			document.case29.src="note_img/note_green_pt.png";
			document.case31.src="note_img/note_green_pt.png";
			document.case46.src="note_img/note_green_pt.png";
			document.case511.src="note_img/note_green_pt.png";
			document.case64.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_bb.src="pixel_yellow.png";

			document.case16.src="note_img/note_yellow_pt.png";
			document.case211.src="note_img/note_yellow_pt.png";
			document.case33.src="note_img/note_yellow_pt.png";
			document.case48.src="note_img/note_yellow_pt.png";
			document.case51.src="note_img/note_yellow_pt.png";
			document.case66.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_b.src="pixel_yellow.png";
			document.keyb_b_big.src="pixel_yellow.png";

			document.case17.src="note_img/note_yellow_pt.png";
			document.case212.src="note_img/note_yellow_pt.png";
			document.case20.src="note_img/note_yellow_pt.png";
			document.case34.src="note_img/note_yellow_pt.png";
			document.case49.src="note_img/note_yellow_pt.png";
			document.case52.src="note_img/note_yellow_pt.png";
			document.case67.src="note_img/note_yellow_pt.png";
		}
	}

if (key=="db")
	{
		document.keyicon.src="key_img/key_db.gif";
		clear_keys();
		document.keyb_db.src="pixel_red.png";

		document.case19.src="note_img/note_red_pt.png";
		document.case22.src="note_img/note_red_pt.png";
		document.case36.src="note_img/note_red_pt.png";
		document.case411.src="note_img/note_red_pt.png";
		document.case54.src="note_img/note_red.png";
		document.case69.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingerbar.png";
				document.fingernail22.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingerbar.png";
				document.fingernail54.src = "fingers_img/fingernail.png";

				document.fingernail35.src = "fingers_img/x.png";
				document.fingernail65.src = "fingers_img/x.png";
			}
			document.keyb_gb.src="pixel_blue.png";
			document.keyb_ab.src="pixel_green.png";

			document.case12.src="note_img/note_blue_pt.png";
			document.case27.src="note_img/note_blue_pt.png";
			document.case311.src="note_img/note_blue_pt.png";
			document.case44.src="note_img/note_blue_pt.png";
			document.case59.src="note_img/note_blue_pt.png";
			document.case62.src="note_img/note_blue_pt.png";			
			
			document.case14.src="note_img/note_green_pt.png";
			document.case29.src="note_img/note_green_pt.png";
			document.case31.src="note_img/note_green_pt.png";
			document.case46.src="note_img/note_green_pt.png";
			document.case511.src="note_img/note_green_pt.png";
			document.case64.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingerover.png";
				document.fingernail54.src = "fingers_img/fingernail.png";

				document.fingernail65.src = "fingers_img/x.png";
			}
			document.keyb_f.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_ab.src="pixel_green.png";

			document.case11.src="note_img/note_blue_pt.png";
			document.case26.src="note_img/note_blue_pt.png";
			document.case310.src="note_img/note_blue_pt.png";
			document.case43.src="note_img/note_blue_pt.png";
			document.case58.src="note_img/note_blue_pt.png";
			document.case61.src="note_img/note_blue_pt.png";			

			document.case14.src="note_img/note_green_pt.png";
			document.case29.src="note_img/note_green_pt.png";
			document.case31.src="note_img/note_green_pt.png";
			document.case46.src="note_img/note_green_pt.png";
			document.case511.src="note_img/note_green_pt.png";
			document.case64.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail04.src = "fingers_img/fingerbar.png";
				document.fingernail14.src = "fingers_img/fingerbar.png";
				document.fingernail24.src = "fingers_img/fingerbar.png";
				document.fingernail34.src = "fingers_img/fingerbar.png";
				document.fingernail44.src = "fingers_img/fingerbar.png";
				document.fingernail54.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingernail.png";

				document.fingernail06.src = "fingers_img/fingerover.png";
				document.fingernail16.src = "fingers_img/fingerover.png";
				document.fingernail26.src = "fingers_img/fingerover.png";
				document.fingernail36.src = "fingers_img/fingerbar.png";
				document.fingernail46.src = "fingers_img/fingernail.png";
			}
			document.keyb_e.src="pixel_blue.png";
			document.keyb_e_big.src="pixel_blue.png";
			document.keyb_ab.src="pixel_green.png";

			document.case10.src="note_img/note_blue_pt.png";
			document.case112.src="note_img/note_blue_pt.png";
			document.case25.src="note_img/note_blue_pt.png";
			document.case39.src="note_img/note_blue_pt.png";
			document.case42.src="note_img/note_blue_pt.png";
			document.case57.src="note_img/note_blue_pt.png";
			document.case60.src="note_img/note_blue_pt.png";			
			document.case612.src="note_img/note_blue_pt.png";			

			document.case14.src="note_img/note_green_pt.png";
			document.case29.src="note_img/note_green_pt.png";
			document.case31.src="note_img/note_green_pt.png";
			document.case46.src="note_img/note_green_pt.png";
			document.case511.src="note_img/note_green_pt.png";
			document.case64.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingerover.png";
				document.fingernail54.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingerbar.png";
				document.fingernail35.src = "fingers_img/fingerbar.png";
				document.fingernail45.src = "fingers_img/fingernail.png";

				document.fingernail06.src = "fingers_img/fingerover.png";
				document.fingernail16.src = "fingers_img/fingerover.png";
				document.fingernail26.src = "fingers_img/fingerover.png";
				document.fingernail36.src = "fingers_img/fingernail.png";

				document.fingernail66.src = "fingers_img/x.png";
			}
			document.keyb_e.src="pixel_blue.png";
			document.keyb_e_big.src="pixel_blue.png";
			document.keyb_g.src="pixel_green.png";
			document.keyb_g_big.src="pixel_green.png";

			document.case10.src="note_img/note_blue_pt.png";
			document.case112.src="note_img/note_blue_pt.png";
			document.case25.src="note_img/note_blue_pt.png";
			document.case39.src="note_img/note_blue_pt.png";
			document.case42.src="note_img/note_blue_pt.png";
			document.case57.src="note_img/note_blue_pt.png";
			document.case60.src="note_img/note_blue_pt.png";			
			document.case612.src="note_img/note_blue_pt.png";			

			document.case13.src="note_img/note_green_pt.png";
			document.case28.src="note_img/note_green_pt.png";
			document.case30.src="note_img/note_green_pt.png";
			document.case312.src="note_img/note_green_pt.png";
			document.case45.src="note_img/note_green_pt.png";
			document.case510.src="note_img/note_green_pt.png";
			document.case63.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingerover.png";
				document.fingernail54.src = "fingers_img/fingernail.png";

				document.fingernail15.src = "fingers_img/x.png";
				document.fingernail65.src = "fingers_img/x.png";
			}
			document.keyb_f.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_a.src="pixel_green.png";
			document.keyb_a_big.src="pixel_green.png";

			document.case11.src="note_img/note_blue_pt.png";
			document.case26.src="note_img/note_blue_pt.png";
			document.case310.src="note_img/note_blue_pt.png";
			document.case43.src="note_img/note_blue_pt.png";
			document.case58.src="note_img/note_blue_pt.png";
			document.case61.src="note_img/note_blue_pt.png";			

			document.case15.src="note_img/note_green_pt.png";
			document.case210.src="note_img/note_green_pt.png";
			document.case32.src="note_img/note_green_pt.png";
			document.case47.src="note_img/note_green_pt.png";
			document.case50.src="note_img/note_green_pt.png";
			document.case512.src="note_img/note_green_pt.png";
			document.case65.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_b.src="pixel_yellow.png";
			document.keyb_b_big.src="pixel_yellow.png";

			document.case17.src="note_img/note_yellow_pt.png";
			document.case20.src="note_img/note_yellow_pt.png";
			document.case212.src="note_img/note_yellow_pt.png";
			document.case34.src="note_img/note_yellow_pt.png";
			document.case49.src="note_img/note_yellow_pt.png";
			document.case52.src="note_img/note_yellow_pt.png";
			document.case67.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_c.src="pixel_yellow.png";
			document.keyb_c_big.src="pixel_yellow.png";

			document.case18.src="note_img/note_yellow_pt.png";
			document.case21.src="note_img/note_yellow_pt.png";
			document.case35.src="note_img/note_yellow_pt.png";
			document.case410.src="note_img/note_yellow_pt.png";
			document.case53.src="note_img/note_yellow_pt.png";
			document.case68.src="note_img/note_yellow_pt.png";
		}
	}

if (key=="d")
	{
		document.keyicon.src="key_img/key_d.gif";
		clear_keys();
		document.keyb_d.src="pixel_red.png";
		document.keyb_d_big.src="pixel_red.png";

		document.case110.src="note_img/note_red_pt.png";
		document.case23.src="note_img/note_red_pt.png";
		document.case37.src="note_img/note_red_pt.png";
		document.case40.src="note_img/note_red_pt.png";
		document.case412.src="note_img/note_red_pt.png";
		document.case55.src="note_img/note_red.png";
		document.case610.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingerbar.png";
				document.fingernail23.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerbar.png";
				document.fingernail15.src = "fingers_img/fingernail.png";

				document.fingernail66.src = "fingers_img/x.png";
			}
			document.keyb_g.src="pixel_blue.png";
			document.keyb_g_big.src="pixel_blue.png";
			document.keyb_a.src="pixel_green.png";
			document.keyb_a_big.src="pixel_green.png";

			document.case13.src="note_img/note_blue_pt.png";
			document.case28.src="note_img/note_blue_pt.png";
			document.case30.src="note_img/note_blue_pt.png";
			document.case312.src="note_img/note_blue_pt.png";
			document.case45.src="note_img/note_blue_pt.png";
			document.case510.src="note_img/note_blue_pt.png";
			document.case63.src="note_img/note_blue_pt.png";			
			
			document.case15.src="note_img/note_green_pt.png";
			document.case210.src="note_img/note_green_pt.png";
			document.case32.src="note_img/note_green_pt.png";
			document.case47.src="note_img/note_green_pt.png";
			document.case50.src="note_img/note_green_pt.png";
			document.case512.src="note_img/note_green_pt.png";
			document.case65.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingerbar.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingerover.png";
				document.fingernail35.src = "fingers_img/fingerover.png";
				document.fingernail45.src = "fingers_img/fingerover.png";
				document.fingernail55.src = "fingers_img/fingernail.png";

				document.fingernail66.src = "fingers_img/x.png";
			}
			document.keyb_gb.src="pixel_blue.png";
			document.keyb_a.src="pixel_green.png";
			document.keyb_a_big.src="pixel_green.png";

			document.case12.src="note_img/note_blue_pt.png";
			document.case27.src="note_img/note_blue_pt.png";
			document.case311.src="note_img/note_blue_pt.png";
			document.case44.src="note_img/note_blue_pt.png";
			document.case59.src="note_img/note_blue_pt.png";
			document.case62.src="note_img/note_blue_pt.png";			

			document.case15.src="note_img/note_green_pt.png";
			document.case210.src="note_img/note_green_pt.png";
			document.case32.src="note_img/note_green_pt.png";
			document.case47.src="note_img/note_green_pt.png";
			document.case50.src="note_img/note_green_pt.png";
			document.case512.src="note_img/note_green_pt.png";
			document.case65.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingernail.png";

				document.fingernail54.src = "fingers_img/x.png";
				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_f.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_a.src="pixel_green.png";
			document.keyb_a_big.src="pixel_green.png";

			document.case11.src="note_img/note_blue_pt.png";
			document.case26.src="note_img/note_blue_pt.png";
			document.case310.src="note_img/note_blue_pt.png";
			document.case43.src="note_img/note_blue_pt.png";
			document.case58.src="note_img/note_blue_pt.png";
			document.case61.src="note_img/note_blue_pt.png";			

			document.case15.src="note_img/note_green_pt.png";
			document.case210.src="note_img/note_green_pt.png";
			document.case32.src="note_img/note_green_pt.png";
			document.case47.src="note_img/note_green_pt.png";
			document.case50.src="note_img/note_green_pt.png";
			document.case512.src="note_img/note_green_pt.png";
			document.case65.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingernail.png";

				document.fingernail54.src = "fingers_img/x.png";
				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_f.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_f_big.src="pixel_blue.png";
			document.keyb_ab.src="pixel_green.png";

			document.case11.src="note_img/note_blue_pt.png";
			document.case26.src="note_img/note_blue_pt.png";
			document.case310.src="note_img/note_blue_pt.png";
			document.case43.src="note_img/note_blue_pt.png";
			document.case58.src="note_img/note_blue_pt.png";
			document.case61.src="note_img/note_blue_pt.png";			

			document.case14.src="note_img/note_green_pt.png";
			document.case29.src="note_img/note_green_pt.png";
			document.case31.src="note_img/note_green_pt.png";
			document.case46.src="note_img/note_green_pt.png";
			document.case511.src="note_img/note_green_pt.png";
			document.case64.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingernail.png";

				document.fingernail54.src = "fingers_img/x.png";
				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_gb.src="pixel_blue.png";
			document.keyb_bb.src="pixel_green.png";

			document.case12.src="note_img/note_blue_pt.png";
			document.case27.src="note_img/note_blue_pt.png";
			document.case311.src="note_img/note_blue_pt.png";
			document.case44.src="note_img/note_blue_pt.png";
			document.case59.src="note_img/note_blue_pt.png";
			document.case62.src="note_img/note_blue_pt.png";			

			document.case16.src="note_img/note_green_pt.png";
			document.case211.src="note_img/note_green_pt.png";
			document.case33.src="note_img/note_green_pt.png";
			document.case48.src="note_img/note_green_pt.png";
			document.case51.src="note_img/note_green_pt.png";
			document.case66.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_c.src="pixel_yellow.png";
			document.keyb_c_big.src="pixel_yellow.png";

			document.case18.src="note_img/note_yellow_pt.png";
			document.case21.src="note_img/note_yellow_pt.png";
			document.case35.src="note_img/note_yellow_pt.png";
			document.case410.src="note_img/note_yellow_pt.png";
			document.case53.src="note_img/note_yellow_pt.png";
			document.case68.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_db.src="pixel_yellow.png";

			document.case19.src="note_img/note_yellow_pt.png";
			document.case22.src="note_img/note_yellow_pt.png";
			document.case36.src="note_img/note_yellow_pt.png";
			document.case411.src="note_img/note_yellow_pt.png";
			document.case54.src="note_img/note_yellow_pt.png";
			document.case69.src="note_img/note_yellow_pt.png";
		}
	}
if (key=="eb")
	{
		document.keyicon.src="key_img/key_eb.gif";
		clear_keys();
		document.keyb_eb.src="pixel_red.png";

		document.case111.src="note_img/note_red_pt.png";
		document.case24.src="note_img/note_red_pt.png";
		document.case38.src="note_img/note_red_pt.png";
		document.case41.src="note_img/note_red_pt.png";
		document.case56.src="note_img/note_red.png";
		document.case611.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerbar.png";
				document.fingernail41.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerbar.png";
				document.fingernail14.src = "fingers_img/fingerbar.png";
				document.fingernail24.src = "fingers_img/fingernail.png";

				document.fingernail65.src = "fingers_img/x.png";
			}
			document.keyb_ab.src="pixel_blue.png";
			document.keyb_bb.src="pixel_green.png";

			document.case14.src="note_img/note_blue_pt.png";
			document.case29.src="note_img/note_blue_pt.png";
			document.case31.src="note_img/note_blue_pt.png";
			document.case46.src="note_img/note_blue_pt.png";
			document.case511.src="note_img/note_blue_pt.png";
			document.case64.src="note_img/note_blue_pt.png";			
			
			document.case16.src="note_img/note_green_pt.png";
			document.case211.src="note_img/note_green_pt.png";
			document.case33.src="note_img/note_green_pt.png";
			document.case48.src="note_img/note_green_pt.png";
			document.case51.src="note_img/note_green_pt.png";
			document.case66.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingerbar.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingerover.png";
				document.fingernail35.src = "fingers_img/fingerover.png";
				document.fingernail45.src = "fingers_img/fingernail.png";

				document.fingernail06.src = "fingers_img/fingerover.png";
				document.fingernail16.src = "fingers_img/fingerover.png";
				document.fingernail26.src = "fingers_img/fingerover.png";
				document.fingernail36.src = "fingers_img/fingerover.png";
				document.fingernail46.src = "fingers_img/fingerover.png";
				document.fingernail56.src = "fingers_img/fingernail.png";

				document.fingernail67.src = "fingers_img/x.png";
			}
			document.keyb_g.src="pixel_blue.png";
			document.keyb_g_big.src="pixel_blue.png";
			document.keyb_bb.src="pixel_green.png";

			document.case13.src="note_img/note_blue_pt.png";
			document.case28.src="note_img/note_blue_pt.png";
			document.case30.src="note_img/note_blue_pt.png";
			document.case312.src="note_img/note_blue_pt.png";
			document.case45.src="note_img/note_blue_pt.png";
			document.case510.src="note_img/note_blue_pt.png";
			document.case63.src="note_img/note_blue_pt.png";			

			document.case16.src="note_img/note_green_pt.png";
			document.case211.src="note_img/note_green_pt.png";
			document.case33.src="note_img/note_green_pt.png";
			document.case48.src="note_img/note_green_pt.png";
			document.case51.src="note_img/note_green_pt.png";
			document.case66.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerbar.png";
				document.fingernail41.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingernail.png";

				document.fingernail65.src = "fingers_img/x.png";
			}
			document.keyb_gb.src="pixel_blue.png";
			document.keyb_bb.src="pixel_green.png";

			document.case12.src="note_img/note_blue_pt.png";
			document.case27.src="note_img/note_blue_pt.png";
			document.case311.src="note_img/note_blue_pt.png";
			document.case44.src="note_img/note_blue_pt.png";
			document.case59.src="note_img/note_blue_pt.png";
			document.case62.src="note_img/note_blue_pt.png";			

			document.case16.src="note_img/note_green_pt.png";
			document.case211.src="note_img/note_green_pt.png";
			document.case33.src="note_img/note_green_pt.png";
			document.case48.src="note_img/note_green_pt.png";
			document.case51.src="note_img/note_green_pt.png";
			document.case66.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerover.png";
				document.fingernail31.src = "fingers_img/fingerover.png";
				document.fingernail41.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingerbar.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingernail.png";

				document.fingernail24.src = "fingers_img/x.png";
				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_gb.src="pixel_blue.png";
			document.keyb_a.src="pixel_green.png";
			document.keyb_a_big.src="pixel_green.png";

			document.case12.src="note_img/note_blue_pt.png";
			document.case27.src="note_img/note_blue_pt.png";
			document.case311.src="note_img/note_blue_pt.png";
			document.case44.src="note_img/note_blue_pt.png";
			document.case59.src="note_img/note_blue_pt.png";
			document.case62.src="note_img/note_blue_pt.png";			

			document.case15.src="note_img/note_green_pt.png";
			document.case210.src="note_img/note_green_pt.png";
			document.case32.src="note_img/note_green_pt.png";
			document.case47.src="note_img/note_green_pt.png";
			document.case50.src="note_img/note_green_pt.png";
			document.case512.src="note_img/note_green_pt.png";
			document.case65.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerover.png";
				document.fingernail31.src = "fingers_img/fingerover.png";
				document.fingernail41.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingernail.png";

				document.fingernail54.src = "fingers_img/x.png";
				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_g.src="pixel_blue.png";
			document.keyb_g_big.src="pixel_blue.png";
			document.keyb_b.src="pixel_green.png";
			document.keyb_b_big.src="pixel_green.png";

			document.case13.src="note_img/note_blue_pt.png";
			document.case28.src="note_img/note_blue_pt.png";
			document.case30.src="note_img/note_blue_pt.png";
			document.case312.src="note_img/note_blue_pt.png";
			document.case45.src="note_img/note_blue_pt.png";
			document.case510.src="note_img/note_blue_pt.png";
			document.case63.src="note_img/note_blue_pt.png";			

			document.case17.src="note_img/note_green_pt.png";
			document.case20.src="note_img/note_green_pt.png";
			document.case212.src="note_img/note_green_pt.png";
			document.case34.src="note_img/note_green_pt.png";
			document.case49.src="note_img/note_green_pt.png";
			document.case52.src="note_img/note_green_pt.png";
			document.case67.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_db.src="pixel_yellow.png";

			document.case19.src="note_img/note_yellow_pt.png";
			document.case22.src="note_img/note_yellow_pt.png";
			document.case36.src="note_img/note_yellow_pt.png";
			document.case411.src="note_img/note_yellow_pt.png";
			document.case54.src="note_img/note_yellow_pt.png";
			document.case69.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_d.src="pixel_yellow.png";
			document.keyb_d_big.src="pixel_yellow.png";

			document.case110.src="note_img/note_yellow_pt.png";
			document.case23.src="note_img/note_yellow_pt.png";
			document.case37.src="note_img/note_yellow_pt.png";
			document.case40.src="note_img/note_yellow_pt.png";
			document.case412.src="note_img/note_yellow_pt.png";
			document.case55.src="note_img/note_yellow_pt.png";
			document.case610.src="note_img/note_yellow_pt.png";
		}
	}
if (key=="e")
	{
		document.keyicon.src="key_img/key_e.gif";
		clear_keys();
		document.keyb_e.src="pixel_red.png";
		document.keyb_e_big.src="pixel_red.png";

		document.case10.src="note_img/note_red_pt.png";
		document.case112.src="note_img/note_red_pt.png";
		document.case25.src="note_img/note_red_pt.png";
		document.case39.src="note_img/note_red_pt.png";
		document.case42.src="note_img/note_red_pt.png";
		document.case57.src="note_img/note_red.png";
		document.case60.src="note_img/note_red_pt.png";
		document.case612.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingernail.png";
			}
			document.keyb_a.src="pixel_blue.png";
			document.keyb_a_big.src="pixel_blue.png";
			document.keyb_b.src="pixel_green.png";
			document.keyb_b_big.src="pixel_green.png";

			document.case15.src="note_img/note_blue_pt.png";
			document.case210.src="note_img/note_blue_pt.png";
			document.case32.src="note_img/note_blue_pt.png";
			document.case47.src="note_img/note_blue_pt.png";
			document.case50.src="note_img/note_blue_pt.png";
			document.case512.src="note_img/note_blue_pt.png";
			document.case65.src="note_img/note_blue_pt.png";			
			
			document.case17.src="note_img/note_green_pt.png";
			document.case20.src="note_img/note_green_pt.png";
			document.case212.src="note_img/note_green_pt.png";
			document.case34.src="note_img/note_green_pt.png";
			document.case49.src="note_img/note_green_pt.png";
			document.case52.src="note_img/note_green_pt.png";
			document.case67.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerover.png";
				document.fingernail31.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingerbar.png";
				document.fingernail52.src = "fingers_img/fingernail.png";
			}
			document.keyb_ab.src="pixel_blue.png";
			document.keyb_b.src="pixel_green.png";
			document.keyb_b_big.src="pixel_green.png";

			document.case14.src="note_img/note_blue_pt.png";
			document.case29.src="note_img/note_blue_pt.png";
			document.case31.src="note_img/note_blue_pt.png";
			document.case46.src="note_img/note_blue_pt.png";
			document.case511.src="note_img/note_blue_pt.png";
			document.case64.src="note_img/note_blue_pt.png";			

			document.case17.src="note_img/note_green_pt.png";
			document.case20.src="note_img/note_green_pt.png";
			document.case212.src="note_img/note_green_pt.png";
			document.case34.src="note_img/note_green_pt.png";
			document.case49.src="note_img/note_green_pt.png";
			document.case52.src="note_img/note_green_pt.png";
			document.case67.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingerbar.png";
				document.fingernail52.src = "fingers_img/fingernail.png";
			}
			document.keyb_g.src="pixel_blue.png";
			document.keyb_g_big.src="pixel_blue.png";
			document.keyb_b.src="pixel_green.png";
			document.keyb_b_big.src="pixel_green.png";

			document.case13.src="note_img/note_blue_pt.png";
			document.case28.src="note_img/note_blue_pt.png";
			document.case30.src="note_img/note_blue_pt.png";
			document.case312.src="note_img/note_blue_pt.png";
			document.case45.src="note_img/note_blue_pt.png";
			document.case510.src="note_img/note_blue_pt.png";
			document.case63.src="note_img/note_blue_pt.png";			

			document.case17.src="note_img/note_green_pt.png";
			document.case20.src="note_img/note_green_pt.png";
			document.case212.src="note_img/note_green_pt.png";
			document.case34.src="note_img/note_green_pt.png";
			document.case49.src="note_img/note_green_pt.png";
			document.case52.src="note_img/note_green_pt.png";
			document.case67.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerover.png";
				document.fingernail31.src = "fingers_img/fingerover.png";
				document.fingernail41.src = "fingers_img/fingerover.png";
				document.fingernail51.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingernail.png";

				document.fingernail24.src = "fingers_img/x.png";
			}
			document.keyb_g.src="pixel_blue.png";
			document.keyb_g_big.src="pixel_blue.png";
			document.keyb_bb.src="pixel_green.png";

			document.case13.src="note_img/note_blue_pt.png";
			document.case28.src="note_img/note_blue_pt.png";
			document.case30.src="note_img/note_blue_pt.png";
			document.case312.src="note_img/note_blue_pt.png";
			document.case45.src="note_img/note_blue_pt.png";
			document.case510.src="note_img/note_blue_pt.png";
			document.case63.src="note_img/note_blue_pt.png";			

			document.case16.src="note_img/note_green_pt.png";
			document.case211.src="note_img/note_green_pt.png";
			document.case33.src="note_img/note_green_pt.png";
			document.case48.src="note_img/note_green_pt.png";
			document.case51.src="note_img/note_green_pt.png";
			document.case66.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerover.png";
				document.fingernail53.src = "fingers_img/fingernail.png";
			}
			document.keyb_ab.src="pixel_blue.png";
			document.keyb_c.src="pixel_green.png";
			document.keyb_c_big.src="pixel_green.png";

			document.case14.src="note_img/note_blue_pt.png";
			document.case29.src="note_img/note_blue_pt.png";
			document.case31.src="note_img/note_blue_pt.png";
			document.case46.src="note_img/note_blue_pt.png";
			document.case511.src="note_img/note_blue_pt.png";
			document.case64.src="note_img/note_blue_pt.png";			

			document.case18.src="note_img/note_green_pt.png";
			document.case21.src="note_img/note_green_pt.png";
			document.case35.src="note_img/note_green_pt.png";
			document.case410.src="note_img/note_green_pt.png";
			document.case53.src="note_img/note_green_pt.png";
			document.case68.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_d.src="pixel_yellow.png";
			document.keyb_d_big.src="pixel_yellow.png";

			document.case110.src="note_img/note_yellow_pt.png";
			document.case23.src="note_img/note_yellow_pt.png";
			document.case37.src="note_img/note_yellow_pt.png";
			document.case40.src="note_img/note_yellow_pt.png";
			document.case412.src="note_img/note_yellow_pt.png";
			document.case55.src="note_img/note_yellow_pt.png";
			document.case610.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_eb.src="pixel_yellow.png";

			document.case111.src="note_img/note_yellow_pt.png";
			document.case24.src="note_img/note_yellow_pt.png";
			document.case38.src="note_img/note_yellow_pt.png";
			document.case41.src="note_img/note_yellow_pt.png";
			document.case56.src="note_img/note_yellow_pt.png";
			document.case611.src="note_img/note_yellow_pt.png";
		}
	}
if (key=="f")
	{
		document.keyicon.src="key_img/key_f.gif";
		clear_keys();
		document.keyb_f.src="pixel_red.png";
		document.keyb_f_big.src="pixel_red.png";

		document.case11.src="note_img/note_red_pt.png";
		document.case26.src="note_img/note_red_pt.png";
		document.case310.src="note_img/note_red_pt.png";
		document.case43.src="note_img/note_red_pt.png";
		document.case58.src="note_img/note_red.png";
		document.case61.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerbar.png";
				document.fingernail41.src = "fingers_img/fingerbar.png";
				document.fingernail51.src = "fingers_img/fingerbar.png";
				document.fingernail61.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerbar.png";
				document.fingernail43.src = "fingers_img/fingernail.png";
			}
			document.keyb_bb.src="pixel_blue.png";
			document.keyb_c.src="pixel_green.png";
			document.keyb_c_big.src="pixel_green.png";

			document.case16.src="note_img/note_blue_pt.png";
			document.case211.src="note_img/note_blue_pt.png";
			document.case33.src="note_img/note_blue_pt.png";
			document.case48.src="note_img/note_blue_pt.png";
			document.case51.src="note_img/note_blue_pt.png";
			document.case66.src="note_img/note_blue_pt.png";			
			
			document.case18.src="note_img/note_green_pt.png";
			document.case21.src="note_img/note_green_pt.png";
			document.case35.src="note_img/note_green_pt.png";
			document.case410.src="note_img/note_green_pt.png";
			document.case53.src="note_img/note_green_pt.png";
			document.case68.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerbar.png";
				document.fingernail41.src = "fingers_img/fingerbar.png";
				document.fingernail51.src = "fingers_img/fingerbar.png";
				document.fingernail61.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerbar.png";
				document.fingernail53.src = "fingers_img/fingernail.png";
			}
			document.keyb_a.src="pixel_blue.png";
			document.keyb_a_big.src="pixel_blue.png";
			document.keyb_c.src="pixel_green.png";
			document.keyb_c_big.src="pixel_green.png";

			document.case15.src="note_img/note_blue_pt.png";
			document.case210.src="note_img/note_blue_pt.png";
			document.case32.src="note_img/note_blue_pt.png";
			document.case47.src="note_img/note_blue_pt.png";
			document.case50.src="note_img/note_blue_pt.png";
			document.case512.src="note_img/note_blue_pt.png";
			document.case65.src="note_img/note_blue_pt.png";			

			document.case18.src="note_img/note_green_pt.png";
			document.case21.src="note_img/note_green_pt.png";
			document.case35.src="note_img/note_green_pt.png";
			document.case410.src="note_img/note_green_pt.png";
			document.case53.src="note_img/note_green_pt.png";
			document.case68.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerbar.png";
				document.fingernail41.src = "fingers_img/fingerbar.png";
				document.fingernail51.src = "fingers_img/fingerbar.png";
				document.fingernail61.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerbar.png";
				document.fingernail53.src = "fingers_img/fingernail.png";
			}
			document.keyb_ab.src="pixel_blue.png";
			document.keyb_c.src="pixel_green.png";
			document.keyb_c_big.src="pixel_green.png";

			document.case14.src="note_img/note_blue_pt.png";
			document.case29.src="note_img/note_blue_pt.png";
			document.case31.src="note_img/note_blue_pt.png";
			document.case46.src="note_img/note_blue_pt.png";
			document.case511.src="note_img/note_blue_pt.png";
			document.case64.src="note_img/note_blue_pt.png";			

			document.case18.src="note_img/note_green_pt.png";
			document.case21.src="note_img/note_green_pt.png";
			document.case35.src="note_img/note_green_pt.png";
			document.case410.src="note_img/note_green_pt.png";
			document.case53.src="note_img/note_green_pt.png";
			document.case68.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerbar.png";
				document.fingernail41.src = "fingers_img/fingerbar.png";
				document.fingernail51.src = "fingers_img/fingerbar.png";
				document.fingernail61.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingerover.png";
				document.fingernail52.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingernail.png";

				document.fingernail24.src = "fingers_img/x.png";
			}
			document.keyb_ab.src="pixel_blue.png";
			document.keyb_b.src="pixel_green.png";
			document.keyb_b_big.src="pixel_green.png";

			document.case14.src="note_img/note_blue_pt.png";
			document.case29.src="note_img/note_blue_pt.png";
			document.case31.src="note_img/note_blue_pt.png";
			document.case46.src="note_img/note_blue_pt.png";
			document.case511.src="note_img/note_blue_pt.png";
			document.case64.src="note_img/note_blue_pt.png";			

			document.case17.src="note_img/note_green_pt.png";
			document.case20.src="note_img/note_green_pt.png";
			document.case212.src="note_img/note_green_pt.png";
			document.case34.src="note_img/note_green_pt.png";
			document.case49.src="note_img/note_green_pt.png";
			document.case52.src="note_img/note_green_pt.png";
			document.case67.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerbar.png";
				document.fingernail15.src = "fingers_img/fingernail.png";

				document.fingernail66.src = "fingers_img/x.png";
			}
			document.keyb_a.src="pixel_blue.png";
			document.keyb_a_big.src="pixel_blue.png";
			document.keyb_db.src="pixel_green.png";

			document.case15.src="note_img/note_blue_pt.png";
			document.case210.src="note_img/note_blue_pt.png";
			document.case32.src="note_img/note_blue_pt.png";
			document.case47.src="note_img/note_blue_pt.png";
			document.case50.src="note_img/note_blue_pt.png";
			document.case512.src="note_img/note_blue_pt.png";
			document.case65.src="note_img/note_blue_pt.png";			

			document.case19.src="note_img/note_green_pt.png";
			document.case22.src="note_img/note_green_pt.png";
			document.case36.src="note_img/note_green_pt.png";
			document.case411.src="note_img/note_green_pt.png";
			document.case54.src="note_img/note_green_pt.png";
			document.case69.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_eb.src="pixel_yellow.png";

			document.case111.src="note_img/note_yellow_pt.png";
			document.case24.src="note_img/note_yellow_pt.png";
			document.case38.src="note_img/note_yellow_pt.png";
			document.case41.src="note_img/note_yellow_pt.png";
			document.case56.src="note_img/note_yellow_pt.png";
			document.case611.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_e.src="pixel_yellow.png";
			document.keyb_e_big.src="pixel_yellow.png";

			document.case10.src="note_img/note_yellow_pt.png";
			document.case112.src="note_img/note_yellow_pt.png";
			document.case25.src="note_img/note_yellow_pt.png";
			document.case39.src="note_img/note_yellow_pt.png";
			document.case42.src="note_img/note_yellow_pt.png";
			document.case57.src="note_img/note_yellow_pt.png";
			document.case60.src="note_img/note_yellow_pt.png";
			document.case612.src="note_img/note_yellow_pt.png";
		}
	}
if (key=="gb")
	{
		document.keyicon.src="key_img/key_gb.gif";
		clear_keys();
		document.keyb_gb.src="pixel_red.png";

		document.case12.src="note_img/note_red_pt.png";
		document.case27.src="note_img/note_red_pt.png";
		document.case311.src="note_img/note_red_pt.png";
		document.case44.src="note_img/note_red_pt.png";
		document.case59.src="note_img/note_red.png";
		document.case62.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingerbar.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingerbar.png";
				document.fingernail52.src = "fingers_img/fingerbar.png";
				document.fingernail62.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerbar.png";
				document.fingernail44.src = "fingers_img/fingernail.png";
			}
			document.keyb_b.src="pixel_blue.png";
			document.keyb_b_big.src="pixel_blue.png";
			document.keyb_db.src="pixel_green.png";

			document.case17.src="note_img/note_blue_pt.png";
			document.case20.src="note_img/note_blue_pt.png";
			document.case212.src="note_img/note_blue_pt.png";
			document.case34.src="note_img/note_blue_pt.png";
			document.case49.src="note_img/note_blue_pt.png";
			document.case52.src="note_img/note_blue_pt.png";
			document.case67.src="note_img/note_blue_pt.png";			
			
			document.case19.src="note_img/note_green_pt.png";
			document.case22.src="note_img/note_green_pt.png";
			document.case36.src="note_img/note_green_pt.png";
			document.case411.src="note_img/note_green_pt.png";
			document.case54.src="note_img/note_green_pt.png";
			document.case69.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingerbar.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingerbar.png";
				document.fingernail52.src = "fingers_img/fingerbar.png";
				document.fingernail62.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingerbar.png";
				document.fingernail54.src = "fingers_img/fingernail.png";
			}
			document.keyb_bb.src="pixel_blue.png";
			document.keyb_db.src="pixel_green.png";

			document.case16.src="note_img/note_blue_pt.png";
			document.case211.src="note_img/note_blue_pt.png";
			document.case33.src="note_img/note_blue_pt.png";
			document.case48.src="note_img/note_blue_pt.png";
			document.case51.src="note_img/note_blue_pt.png";
			document.case66.src="note_img/note_blue_pt.png";			

			document.case19.src="note_img/note_green_pt.png";
			document.case22.src="note_img/note_green_pt.png";
			document.case36.src="note_img/note_green_pt.png";
			document.case411.src="note_img/note_green_pt.png";
			document.case54.src="note_img/note_green_pt.png";
			document.case69.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingerbar.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingerbar.png";
				document.fingernail52.src = "fingers_img/fingerbar.png";
				document.fingernail62.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingerbar.png";
				document.fingernail54.src = "fingers_img/fingernail.png";
			}
			document.keyb_a.src="pixel_blue.png";
			document.keyb_a_big.src="pixel_blue.png";
			document.keyb_db.src="pixel_green.png";

			document.case15.src="note_img/note_blue_pt.png";
			document.case210.src="note_img/note_blue_pt.png";
			document.case32.src="note_img/note_blue_pt.png";
			document.case47.src="note_img/note_blue_pt.png";
			document.case50.src="note_img/note_blue_pt.png";
			document.case512.src="note_img/note_blue_pt.png";
			document.case65.src="note_img/note_blue_pt.png";			

			document.case19.src="note_img/note_green_pt.png";
			document.case22.src="note_img/note_green_pt.png";
			document.case36.src="note_img/note_green_pt.png";
			document.case411.src="note_img/note_green_pt.png";
			document.case54.src="note_img/note_green_pt.png";
			document.case69.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingerbar.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingerbar.png";
				document.fingernail52.src = "fingers_img/fingerbar.png";
				document.fingernail62.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerover.png";
				document.fingernail53.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingernail.png";

				document.fingernail25.src = "fingers_img/x.png";
			}
			document.keyb_a.src="pixel_blue.png";
			document.keyb_a_big.src="pixel_blue.png";
			document.keyb_c.src="pixel_green.png";
			document.keyb_c_big.src="pixel_green.png";

			document.case15.src="note_img/note_blue_pt.png";
			document.case210.src="note_img/note_blue_pt.png";
			document.case32.src="note_img/note_blue_pt.png";
			document.case47.src="note_img/note_blue_pt.png";
			document.case50.src="note_img/note_blue_pt.png";
			document.case512.src="note_img/note_blue_pt.png";
			document.case65.src="note_img/note_blue_pt.png";			

			document.case18.src="note_img/note_green_pt.png";
			document.case21.src="note_img/note_green_pt.png";
			document.case35.src="note_img/note_green_pt.png";
			document.case410.src="note_img/note_green_pt.png";
			document.case53.src="note_img/note_green_pt.png";
			document.case68.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingernail.png";

				document.fingernail06.src = "fingers_img/fingerbar.png";
				document.fingernail16.src = "fingers_img/fingernail.png";

				document.fingernail57.src = "fingers_img/x.png";
				document.fingernail67.src = "fingers_img/x.png";
			}
			document.keyb_bb.src="pixel_blue.png";
			document.keyb_d.src="pixel_green.png";
			document.keyb_d_big.src="pixel_green.png";

			document.case16.src="note_img/note_blue_pt.png";
			document.case211.src="note_img/note_blue_pt.png";
			document.case33.src="note_img/note_blue_pt.png";
			document.case48.src="note_img/note_blue_pt.png";
			document.case51.src="note_img/note_blue_pt.png";
			document.case66.src="note_img/note_blue_pt.png";			

			document.case110.src="note_img/note_green_pt.png";
			document.case23.src="note_img/note_green_pt.png";
			document.case37.src="note_img/note_green_pt.png";
			document.case40.src="note_img/note_green_pt.png";
			document.case412.src="note_img/note_green_pt.png";
			document.case55.src="note_img/note_green_pt.png";
			document.case610.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_e.src="pixel_yellow.png";
			document.keyb_e_big.src="pixel_yellow.png";

			document.case10.src="note_img/note_yellow_pt.png";
			document.case112.src="note_img/note_yellow_pt.png";
			document.case25.src="note_img/note_yellow_pt.png";
			document.case39.src="note_img/note_yellow_pt.png";
			document.case42.src="note_img/note_yellow_pt.png";
			document.case57.src="note_img/note_yellow_pt.png";
			document.case60.src="note_img/note_yellow_pt.png";
			document.case612.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_f.src="pixel_yellow.png";
			document.keyb_f_big.src="pixel_yellow.png";

			document.case11.src="note_img/note_yellow_pt.png";
			document.case26.src="note_img/note_yellow_pt.png";
			document.case310.src="note_img/note_yellow_pt.png";
			document.case43.src="note_img/note_yellow_pt.png";
			document.case58.src="note_img/note_yellow_pt.png";
			document.case61.src="note_img/note_yellow_pt.png";
		}
	}
if (key=="g")
	{
		document.keyicon.src="key_img/key_g.gif";
		clear_keys();
		document.keyb_g.src="pixel_red.png";
		document.keyb_g_big.src="pixel_red.png";

		document.case13.src="note_img/note_red_pt.png";
		document.case28.src="note_img/note_red_pt.png";
		document.case30.src="note_img/note_red_pt.png";
		document.case312.src="note_img/note_red_pt.png";
		document.case45.src="note_img/note_red_pt.png";
		document.case510.src="note_img/note_red.png";
		document.case63.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingerbar.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingerbar.png";
				document.fingernail43.src = "fingers_img/fingerbar.png";
				document.fingernail53.src = "fingers_img/fingerbar.png";
				document.fingernail63.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingerover.png";
				document.fingernail35.src = "fingers_img/fingerbar.png";
				document.fingernail45.src = "fingers_img/fingernail.png";
			}
			document.keyb_c.src="pixel_blue.png";
			document.keyb_c_big.src="pixel_blue.png";
			document.keyb_d.src="pixel_green.png";
			document.keyb_d_big.src="pixel_green.png";

			document.case18.src="note_img/note_blue_pt.png";
			document.case21.src="note_img/note_blue_pt.png";
			document.case35.src="note_img/note_blue_pt.png";
			document.case410.src="note_img/note_blue_pt.png";
			document.case53.src="note_img/note_blue_pt.png";
			document.case68.src="note_img/note_blue_pt.png";			
			
			document.case110.src="note_img/note_green_pt.png";
			document.case23.src="note_img/note_green_pt.png";
			document.case37.src="note_img/note_green_pt.png";
			document.case40.src="note_img/note_green_pt.png";
			document.case412.src="note_img/note_green_pt.png";
			document.case55.src="note_img/note_green_pt.png";
			document.case610.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingerover.png";
				document.fingernail52.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingerbar.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerover.png";
				document.fingernail53.src = "fingers_img/fingerover.png";
				document.fingernail63.src = "fingers_img/fingernail.png";
			}
			document.keyb_b.src="pixel_blue.png";
			document.keyb_b_big.src="pixel_blue.png";
			document.keyb_d.src="pixel_green.png";
			document.keyb_d_big.src="pixel_green.png";

			document.case17.src="note_img/note_blue_pt.png";
			document.case20.src="note_img/note_blue_pt.png";
			document.case212.src="note_img/note_blue_pt.png";
			document.case34.src="note_img/note_blue_pt.png";
			document.case49.src="note_img/note_blue_pt.png";
			document.case52.src="note_img/note_blue_pt.png";
			document.case67.src="note_img/note_blue_pt.png";			

			document.case110.src="note_img/note_green_pt.png";
			document.case23.src="note_img/note_green_pt.png";
			document.case37.src="note_img/note_green_pt.png";
			document.case40.src="note_img/note_green_pt.png";
			document.case412.src="note_img/note_green_pt.png";
			document.case55.src="note_img/note_green_pt.png";
			document.case610.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingerbar.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingerbar.png";
				document.fingernail43.src = "fingers_img/fingerbar.png";
				document.fingernail53.src = "fingers_img/fingerbar.png";
				document.fingernail63.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingerover.png";
				document.fingernail35.src = "fingers_img/fingerover.png";
				document.fingernail45.src = "fingers_img/fingerbar.png";
				document.fingernail55.src = "fingers_img/fingernail.png";
			}
			document.keyb_bb.src="pixel_blue.png";
			document.keyb_d.src="pixel_green.png";
			document.keyb_d_big.src="pixel_green.png";

			document.case16.src="note_img/note_blue_pt.png";
			document.case211.src="note_img/note_blue_pt.png";
			document.case33.src="note_img/note_blue_pt.png";
			document.case48.src="note_img/note_blue_pt.png";
			document.case51.src="note_img/note_blue_pt.png";
			document.case66.src="note_img/note_blue_pt.png";			

			document.case110.src="note_img/note_green_pt.png";
			document.case23.src="note_img/note_green_pt.png";
			document.case37.src="note_img/note_green_pt.png";
			document.case40.src="note_img/note_green_pt.png";
			document.case412.src="note_img/note_green_pt.png";
			document.case55.src="note_img/note_green_pt.png";
			document.case610.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingerbar.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingerbar.png";
				document.fingernail43.src = "fingers_img/fingerbar.png";
				document.fingernail53.src = "fingers_img/fingerbar.png";
				document.fingernail63.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingerover.png";
				document.fingernail54.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingerover.png";
				document.fingernail35.src = "fingers_img/fingerover.png";
				document.fingernail45.src = "fingers_img/fingernail.png";

				document.fingernail26.src = "fingers_img/x.png";
			}
			document.keyb_bb.src="pixel_blue.png";
			document.keyb_db.src="pixel_green.png";

			document.case16.src="note_img/note_blue_pt.png";
			document.case211.src="note_img/note_blue_pt.png";
			document.case33.src="note_img/note_blue_pt.png";
			document.case48.src="note_img/note_blue_pt.png";
			document.case51.src="note_img/note_blue_pt.png";
			document.case66.src="note_img/note_blue_pt.png";			

			document.case19.src="note_img/note_green_pt.png";
			document.case22.src="note_img/note_green_pt.png";
			document.case36.src="note_img/note_green_pt.png";
			document.case411.src="note_img/note_green_pt.png";
			document.case54.src="note_img/note_green_pt.png";
			document.case69.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerover.png";
				document.fingernail31.src = "fingers_img/fingerover.png";
				document.fingernail41.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingerover.png";
				document.fingernail52.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingerbar.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerover.png";
				document.fingernail53.src = "fingers_img/fingerover.png";
				document.fingernail63.src = "fingers_img/fingernail.png";
			}
			document.keyb_b.src="pixel_blue.png";
			document.keyb_b_big.src="pixel_blue.png";
			document.keyb_eb.src="pixel_green.png";

			document.case17.src="note_img/note_blue_pt.png";
			document.case20.src="note_img/note_blue_pt.png";
			document.case212.src="note_img/note_blue_pt.png";
			document.case34.src="note_img/note_blue_pt.png";
			document.case49.src="note_img/note_blue_pt.png";
			document.case52.src="note_img/note_blue_pt.png";
			document.case67.src="note_img/note_blue_pt.png";			

			document.case111.src="note_img/note_green_pt.png";
			document.case24.src="note_img/note_green_pt.png";
			document.case38.src="note_img/note_green_pt.png";
			document.case41.src="note_img/note_green_pt.png";
			document.case56.src="note_img/note_green_pt.png";
			document.case611.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_f.src="pixel_yellow.png";
			document.keyb_f_big.src="pixel_yellow.png";

			document.case11.src="note_img/note_yellow_pt.png";
			document.case26.src="note_img/note_yellow_pt.png";
			document.case310.src="note_img/note_yellow_pt.png";
			document.case43.src="note_img/note_yellow_pt.png";
			document.case58.src="note_img/note_yellow_pt.png";
			document.case61.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_gb.src="pixel_yellow.png";

			document.case12.src="note_img/note_yellow_pt.png";
			document.case27.src="note_img/note_yellow_pt.png";
			document.case311.src="note_img/note_yellow_pt.png";
			document.case44.src="note_img/note_yellow_pt.png";
			document.case59.src="note_img/note_yellow_pt.png";
			document.case62.src="note_img/note_yellow_pt.png";
		}
	}
if (key=="ab")
	{
		document.keyicon.src="key_img/key_ab.gif";
		clear_keys();
		document.keyb_ab.src="pixel_red.png";

		document.case14.src="note_img/note_red_pt.png";
		document.case29.src="note_img/note_red_pt.png";
		document.case31.src="note_img/note_red_pt.png";
		document.case46.src="note_img/note_red_pt.png";
		document.case511.src="note_img/note_red.png";
		document.case64.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail04.src = "fingers_img/fingerbar.png";
				document.fingernail14.src = "fingers_img/fingerbar.png";
				document.fingernail24.src = "fingers_img/fingerbar.png";
				document.fingernail34.src = "fingers_img/fingerbar.png";
				document.fingernail44.src = "fingers_img/fingerbar.png";
				document.fingernail54.src = "fingers_img/fingerbar.png";
				document.fingernail64.src = "fingers_img/fingernail.png";

				document.fingernail06.src = "fingers_img/fingerover.png";
				document.fingernail16.src = "fingers_img/fingerover.png";
				document.fingernail26.src = "fingers_img/fingerover.png";
				document.fingernail36.src = "fingers_img/fingerbar.png";
				document.fingernail46.src = "fingers_img/fingernail.png";
			}
			document.keyb_db.src="pixel_blue.png";
			document.keyb_eb.src="pixel_green.png";

			document.case19.src="note_img/note_blue_pt.png";
			document.case22.src="note_img/note_blue_pt.png";
			document.case36.src="note_img/note_blue_pt.png";
			document.case411.src="note_img/note_blue_pt.png";
			document.case54.src="note_img/note_blue_pt.png";
			document.case69.src="note_img/note_blue_pt.png";			
			
			document.case111.src="note_img/note_green_pt.png";
			document.case24.src="note_img/note_green_pt.png";
			document.case38.src="note_img/note_green_pt.png";
			document.case41.src="note_img/note_green_pt.png";
			document.case56.src="note_img/note_green_pt.png";
			document.case611.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail04.src = "fingers_img/fingerbar.png";
				document.fingernail14.src = "fingers_img/fingerbar.png";
				document.fingernail24.src = "fingers_img/fingerbar.png";
				document.fingernail34.src = "fingers_img/fingerbar.png";
				document.fingernail44.src = "fingers_img/fingerbar.png";
				document.fingernail54.src = "fingers_img/fingerbar.png";
				document.fingernail64.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingerover.png";
				document.fingernail35.src = "fingers_img/fingernail.png";

				document.fingernail06.src = "fingers_img/fingerover.png";
				document.fingernail16.src = "fingers_img/fingerover.png";
				document.fingernail26.src = "fingers_img/fingerover.png";
				document.fingernail36.src = "fingers_img/fingerover.png";
				document.fingernail46.src = "fingers_img/fingerbar.png";
				document.fingernail56.src = "fingers_img/fingernail.png";
			}
			document.keyb_c.src="pixel_blue.png";
			document.keyb_c_big.src="pixel_blue.png";
			document.keyb_eb.src="pixel_green.png";

			document.case18.src="note_img/note_blue_pt.png";
			document.case21.src="note_img/note_blue_pt.png";
			document.case35.src="note_img/note_blue_pt.png";
			document.case410.src="note_img/note_blue_pt.png";
			document.case53.src="note_img/note_blue_pt.png";
			document.case68.src="note_img/note_blue_pt.png";			

			document.case111.src="note_img/note_green_pt.png";
			document.case24.src="note_img/note_green_pt.png";
			document.case38.src="note_img/note_green_pt.png";
			document.case41.src="note_img/note_green_pt.png";
			document.case56.src="note_img/note_green_pt.png";
			document.case611.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail04.src = "fingers_img/fingerbar.png";
				document.fingernail14.src = "fingers_img/fingerbar.png";
				document.fingernail24.src = "fingers_img/fingerbar.png";
				document.fingernail34.src = "fingers_img/fingerbar.png";
				document.fingernail44.src = "fingers_img/fingerbar.png";
				document.fingernail54.src = "fingers_img/fingerbar.png";
				document.fingernail64.src = "fingers_img/fingernail.png";

				document.fingernail06.src = "fingers_img/fingerover.png";
				document.fingernail16.src = "fingers_img/fingerover.png";
				document.fingernail26.src = "fingers_img/fingerover.png";
				document.fingernail36.src = "fingers_img/fingerover.png";
				document.fingernail46.src = "fingers_img/fingerbar.png";
				document.fingernail56.src = "fingers_img/fingernail.png";
			}
			document.keyb_b.src="pixel_blue.png";
			document.keyb_b_big.src="pixel_blue.png";
			document.keyb_eb.src="pixel_green.png";

			document.case17.src="note_img/note_blue_pt.png";
			document.case20.src="note_img/note_blue_pt.png";
			document.case212.src="note_img/note_blue_pt.png";
			document.case34.src="note_img/note_blue_pt.png";
			document.case49.src="note_img/note_blue_pt.png";
			document.case52.src="note_img/note_blue_pt.png";
			document.case67.src="note_img/note_blue_pt.png";			

			document.case111.src="note_img/note_green_pt.png";
			document.case24.src="note_img/note_green_pt.png";
			document.case38.src="note_img/note_green_pt.png";
			document.case41.src="note_img/note_green_pt.png";
			document.case56.src="note_img/note_green_pt.png";
			document.case611.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingerover.png";
				document.fingernail54.src = "fingers_img/fingerover.png";
				document.fingernail64.src = "fingers_img/fingernail.png";
				
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingerover.png";
				document.fingernail52.src = "fingers_img/fingernail.png";

				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerover.png";
				document.fingernail31.src = "fingers_img/fingernail.png";

				document.fingernail15.src = "fingers_img/x.png";
			}
			document.keyb_b.src="pixel_blue.png";
			document.keyb_b_big.src="pixel_blue.png";
			document.keyb_d.src="pixel_green.png";
			document.keyb_d_big.src="pixel_green.png";

			document.case17.src="note_img/note_blue_pt.png";
			document.case20.src="note_img/note_blue_pt.png";
			document.case212.src="note_img/note_blue_pt.png";
			document.case34.src="note_img/note_blue_pt.png";
			document.case49.src="note_img/note_blue_pt.png";
			document.case52.src="note_img/note_blue_pt.png";
			document.case67.src="note_img/note_blue_pt.png";			

			document.case110.src="note_img/note_green_pt.png";
			document.case23.src="note_img/note_green_pt.png";
			document.case37.src="note_img/note_green_pt.png";
			document.case40.src="note_img/note_green_pt.png";
			document.case412.src="note_img/note_green_pt.png";
			document.case55.src="note_img/note_green_pt.png";
			document.case610.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingerover.png";
				document.fingernail53.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerover.png";
				document.fingernail44.src = "fingers_img/fingerover.png";
				document.fingernail54.src = "fingers_img/fingerover.png";
				document.fingernail64.src = "fingers_img/fingernail.png";

				document.fingernail15.src = "fingers_img/x.png";
			}
			document.keyb_c.src="pixel_blue.png";
			document.keyb_c_big.src="pixel_blue.png";
			document.keyb_e.src="pixel_green.png";
			document.keyb_e_big.src="pixel_green.png";

			document.case18.src="note_img/note_blue_pt.png";
			document.case21.src="note_img/note_blue_pt.png";
			document.case35.src="note_img/note_blue_pt.png";
			document.case410.src="note_img/note_blue_pt.png";
			document.case53.src="note_img/note_blue_pt.png";
			document.case68.src="note_img/note_blue_pt.png";			

			document.case10.src="note_img/note_green_pt.png";
			document.case112.src="note_img/note_green_pt.png";
			document.case25.src="note_img/note_green_pt.png";
			document.case39.src="note_img/note_green_pt.png";
			document.case42.src="note_img/note_green_pt.png";
			document.case57.src="note_img/note_green_pt.png";
			document.case60.src="note_img/note_green_pt.png";			
			document.case612.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_gb.src="pixel_yellow.png";

			document.case12.src="note_img/note_yellow_pt.png";
			document.case27.src="note_img/note_yellow_pt.png";
			document.case311.src="note_img/note_yellow_pt.png";
			document.case44.src="note_img/note_yellow_pt.png";
			document.case59.src="note_img/note_yellow_pt.png";
			document.case62.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_g.src="pixel_yellow.png";
			document.keyb_g_big.src="pixel_yellow.png";

			document.case13.src="note_img/note_yellow_pt.png";
			document.case28.src="note_img/note_yellow_pt.png";
			document.case30.src="note_img/note_yellow_pt.png";
			document.case312.src="note_img/note_yellow_pt.png";
			document.case45.src="note_img/note_yellow_pt.png";
			document.case510.src="note_img/note_yellow_pt.png";
			document.case63.src="note_img/note_yellow_pt.png";
		}
	}
if (key=="a")
	{
		document.keyicon.src="key_img/key_a.gif";
		clear_keys();
		document.keyb_a.src="pixel_red.png";
		document.keyb_a_big.src="pixel_red.png";

		document.case15.src="note_img/note_red_pt.png";
		document.case210.src="note_img/note_red_pt.png";
		document.case32.src="note_img/note_red_pt.png";
		document.case47.src="note_img/note_red_pt.png";
		document.case50.src="note_img/note_red.png";
		document.case512.src="note_img/note_red.png";
		document.case65.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingernail.png";

				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_d.src="pixel_blue.png";
			document.keyb_d_big.src="pixel_blue.png";
			document.keyb_e.src="pixel_green.png";
			document.keyb_e_big.src="pixel_green.png";

			document.case110.src="note_img/note_blue_pt.png";
			document.case23.src="note_img/note_blue_pt.png";
			document.case37.src="note_img/note_blue_pt.png";
			document.case40.src="note_img/note_blue_pt.png";
			document.case412.src="note_img/note_blue_pt.png";
			document.case55.src="note_img/note_blue_pt.png";
			document.case610.src="note_img/note_blue_pt.png";			
			
			document.case10.src="note_img/note_green_pt.png";
			document.case112.src="note_img/note_green_pt.png";
			document.case25.src="note_img/note_green_pt.png";
			document.case39.src="note_img/note_green_pt.png";
			document.case42.src="note_img/note_green_pt.png";
			document.case57.src="note_img/note_green_pt.png";
			document.case60.src="note_img/note_green_pt.png";			
			document.case612.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingernail.png";

				document.fingernail63.src = "fingers_img/x.png";
			}
			document.keyb_db.src="pixel_blue.png";
			document.keyb_e.src="pixel_green.png";
			document.keyb_e_big.src="pixel_green.png";

			document.case19.src="note_img/note_blue_pt.png";
			document.case22.src="note_img/note_blue_pt.png";
			document.case36.src="note_img/note_blue_pt.png";
			document.case411.src="note_img/note_blue_pt.png";
			document.case54.src="note_img/note_blue_pt.png";
			document.case69.src="note_img/note_blue_pt.png";			

			document.case10.src="note_img/note_green_pt.png";
			document.case112.src="note_img/note_green_pt.png";
			document.case25.src="note_img/note_green_pt.png";
			document.case39.src="note_img/note_green_pt.png";
			document.case42.src="note_img/note_green_pt.png";
			document.case57.src="note_img/note_green_pt.png";
			document.case60.src="note_img/note_green_pt.png";			
			document.case612.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingernail.png";
			}
			document.keyb_c.src="pixel_blue.png";
			document.keyb_c_big.src="pixel_blue.png";
			document.keyb_e.src="pixel_green.png";
			document.keyb_e_big.src="pixel_green.png";

			document.case18.src="note_img/note_blue_pt.png";
			document.case21.src="note_img/note_blue_pt.png";
			document.case35.src="note_img/note_blue_pt.png";
			document.case410.src="note_img/note_blue_pt.png";
			document.case53.src="note_img/note_blue_pt.png";
			document.case68.src="note_img/note_blue_pt.png";			

			document.case10.src="note_img/note_green_pt.png";
			document.case112.src="note_img/note_green_pt.png";
			document.case25.src="note_img/note_green_pt.png";
			document.case39.src="note_img/note_green_pt.png";
			document.case42.src="note_img/note_green_pt.png";
			document.case57.src="note_img/note_green_pt.png";
			document.case60.src="note_img/note_green_pt.png";			
			document.case612.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerover.png";
				document.fingernail41.src = "fingers_img/fingernail.png";
				
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingernail.png";

				document.fingernail14.src = "fingers_img/x.png";
				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_c.src="pixel_blue.png";
			document.keyb_c_big.src="pixel_blue.png";
			document.keyb_eb.src="pixel_green.png";

			document.case18.src="note_img/note_blue_pt.png";
			document.case21.src="note_img/note_blue_pt.png";
			document.case35.src="note_img/note_blue_pt.png";
			document.case410.src="note_img/note_blue_pt.png";
			document.case53.src="note_img/note_blue_pt.png";
			document.case68.src="note_img/note_blue_pt.png";			

			document.case111.src="note_img/note_green_pt.png";
			document.case24.src="note_img/note_green_pt.png";
			document.case38.src="note_img/note_green_pt.png";
			document.case41.src="note_img/note_green_pt.png";
			document.case56.src="note_img/note_green_pt.png";
			document.case611.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingernail.png";

				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_db.src="pixel_blue.png";
			document.keyb_f.src="pixel_green.png";

			document.case19.src="note_img/note_blue_pt.png";
			document.case22.src="note_img/note_blue_pt.png";
			document.case36.src="note_img/note_blue_pt.png";
			document.case411.src="note_img/note_blue_pt.png";
			document.case54.src="note_img/note_blue_pt.png";
			document.case69.src="note_img/note_blue_pt.png";			

			document.case11.src="note_img/note_green_pt.png";
			document.case26.src="note_img/note_green_pt.png";
			document.case310.src="note_img/note_green_pt.png";
			document.case43.src="note_img/note_green_pt.png";
			document.case58.src="note_img/note_green_pt.png";
			document.case61.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_g.src="pixel_yellow.png";
			document.keyb_g_big.src="pixel_yellow.png";

			document.case13.src="note_img/note_yellow_pt.png";
			document.case28.src="note_img/note_yellow_pt.png";
			document.case30.src="note_img/note_yellow_pt.png";
			document.case312.src="note_img/note_yellow_pt.png";
			document.case45.src="note_img/note_yellow_pt.png";
			document.case510.src="note_img/note_yellow_pt.png";
			document.case63.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_ab.src="pixel_yellow.png";

			document.case14.src="note_img/note_yellow_pt.png";
			document.case29.src="note_img/note_yellow_pt.png";
			document.case31.src="note_img/note_yellow_pt.png";
			document.case46.src="note_img/note_yellow_pt.png";
			document.case511.src="note_img/note_yellow_pt.png";
			document.case64.src="note_img/note_yellow_pt.png";
		}
	}
if (key=="bb")
	{
		document.keyicon.src="key_img/key_bb.gif";
		clear_keys();
		document.keyb_bb.src="pixel_red.png";

		document.case16.src="note_img/note_red_pt.png";
		document.case211.src="note_img/note_red_pt.png";
		document.case33.src="note_img/note_red_pt.png";
		document.case48.src="note_img/note_red_pt.png";
		document.case51.src="note_img/note_red.png";
		document.case66.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerbar.png";
				document.fingernail41.src = "fingers_img/fingerbar.png";
				document.fingernail51.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingernail.png";

				document.fingernail65.src = "fingers_img/x.png";
			}
			document.keyb_eb.src="pixel_blue.png";
			document.keyb_f.src="pixel_green.png";
			document.keyb_f_big.src="pixel_green.png";

			document.case111.src="note_img/note_blue_pt.png";
			document.case24.src="note_img/note_blue_pt.png";
			document.case38.src="note_img/note_blue_pt.png";
			document.case41.src="note_img/note_blue_pt.png";
			document.case56.src="note_img/note_blue_pt.png";
			document.case611.src="note_img/note_blue_pt.png";			
			
			document.case11.src="note_img/note_green_pt.png";
			document.case26.src="note_img/note_green_pt.png";
			document.case310.src="note_img/note_green_pt.png";
			document.case43.src="note_img/note_green_pt.png";
			document.case58.src="note_img/note_green_pt.png";
			document.case61.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerbar.png";
				document.fingernail41.src = "fingers_img/fingerbar.png";
				document.fingernail51.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingerbar.png";
				document.fingernail43.src = "fingers_img/fingernail.png";

				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_d.src="pixel_blue.png";
			document.keyb_d_big.src="pixel_blue.png";
			document.keyb_f.src="pixel_green.png";
			document.keyb_f_big.src="pixel_green.png";

			document.case110.src="note_img/note_blue_pt.png";
			document.case23.src="note_img/note_blue_pt.png";
			document.case37.src="note_img/note_blue_pt.png";
			document.case40.src="note_img/note_blue_pt.png";
			document.case412.src="note_img/note_blue_pt.png";
			document.case55.src="note_img/note_blue_pt.png";
			document.case610.src="note_img/note_blue_pt.png";			

			document.case11.src="note_img/note_green_pt.png";
			document.case26.src="note_img/note_green_pt.png";
			document.case310.src="note_img/note_green_pt.png";
			document.case43.src="note_img/note_green_pt.png";
			document.case58.src="note_img/note_green_pt.png";
			document.case61.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerbar.png";
				document.fingernail11.src = "fingers_img/fingerbar.png";
				document.fingernail21.src = "fingers_img/fingerbar.png";
				document.fingernail31.src = "fingers_img/fingerbar.png";
				document.fingernail41.src = "fingers_img/fingerbar.png";
				document.fingernail51.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingerbar.png";
				document.fingernail43.src = "fingers_img/fingernail.png";

				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_db.src="pixel_blue.png";
			document.keyb_f.src="pixel_green.png";
			document.keyb_f_big.src="pixel_green.png";

			document.case19.src="note_img/note_blue_pt.png";
			document.case22.src="note_img/note_blue_pt.png";
			document.case36.src="note_img/note_blue_pt.png";
			document.case411.src="note_img/note_blue_pt.png";
			document.case54.src="note_img/note_blue_pt.png";
			document.case69.src="note_img/note_blue_pt.png";			

			document.case11.src="note_img/note_green_pt.png";
			document.case26.src="note_img/note_green_pt.png";
			document.case310.src="note_img/note_green_pt.png";
			document.case43.src="note_img/note_green_pt.png";
			document.case58.src="note_img/note_green_pt.png";
			document.case61.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerover.png";
				document.fingernail31.src = "fingers_img/fingerover.png";
				document.fingernail41.src = "fingers_img/fingerover.png";
				document.fingernail51.src = "fingers_img/fingernail.png";
				
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerover.png";
				document.fingernail33.src = "fingers_img/fingernail.png";
			}
			document.keyb_db.src="pixel_blue.png";
			document.keyb_e.src="pixel_green.png";
			document.keyb_e_big.src="pixel_green.png";

			document.case19.src="note_img/note_blue_pt.png";
			document.case22.src="note_img/note_blue_pt.png";
			document.case36.src="note_img/note_blue_pt.png";
			document.case411.src="note_img/note_blue_pt.png";
			document.case54.src="note_img/note_blue_pt.png";
			document.case69.src="note_img/note_blue_pt.png";			

			document.case10.src="note_img/note_green_pt.png";
			document.case112.src="note_img/note_green_pt.png";
			document.case25.src="note_img/note_green_pt.png";
			document.case39.src="note_img/note_green_pt.png";
			document.case42.src="note_img/note_green_pt.png";
			document.case57.src="note_img/note_green_pt.png";
			document.case60.src="note_img/note_green_pt.png";			
			document.case612.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerover.png";
				document.fingernail31.src = "fingers_img/fingerover.png";
				document.fingernail41.src = "fingers_img/fingerover.png";
				document.fingernail51.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingernail.png";

				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_d.src="pixel_blue.png";
			document.keyb_d_big.src="pixel_blue.png";
			document.keyb_gb.src="pixel_green.png";

			document.case110.src="note_img/note_blue_pt.png";
			document.case23.src="note_img/note_blue_pt.png";
			document.case37.src="note_img/note_blue_pt.png";
			document.case40.src="note_img/note_blue_pt.png";
			document.case412.src="note_img/note_blue_pt.png";
			document.case55.src="note_img/note_blue_pt.png";
			document.case610.src="note_img/note_blue_pt.png";			

			document.case12.src="note_img/note_green_pt.png";
			document.case27.src="note_img/note_green_pt.png";
			document.case311.src="note_img/note_green_pt.png";
			document.case44.src="note_img/note_green_pt.png";
			document.case59.src="note_img/note_green_pt.png";
			document.case62.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_ab.src="pixel_yellow.png";

			document.case14.src="note_img/note_yellow_pt.png";
			document.case29.src="note_img/note_yellow_pt.png";
			document.case31.src="note_img/note_yellow_pt.png";
			document.case46.src="note_img/note_yellow_pt.png";
			document.case511.src="note_img/note_yellow_pt.png";
			document.case64.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_a.src="pixel_yellow.png";
			document.keyb_a_big.src="pixel_yellow.png";

			document.case15.src="note_img/note_yellow_pt.png";
			document.case210.src="note_img/note_yellow_pt.png";
			document.case32.src="note_img/note_yellow_pt.png";
			document.case47.src="note_img/note_yellow_pt.png";
			document.case50.src="note_img/note_yellow_pt.png";
			document.case512.src="note_img/note_yellow_pt.png";
			document.case65.src="note_img/note_yellow_pt.png";
		}
	}
if (key=="b")
	{
		document.keyicon.src="key_img/key_b.gif";
		clear_keys();
		document.keyb_b.src="pixel_red.png";
		document.keyb_b_big.src="pixel_red.png";

		document.case17.src="note_img/note_red_pt.png";
		document.case20.src="note_img/note_red_pt.png";
		document.case212.src="note_img/note_red_pt.png";
		document.case34.src="note_img/note_red_pt.png";
		document.case49.src="note_img/note_red_pt.png";
		document.case52.src="note_img/note_red.png";
		document.case67.src="note_img/note_red_pt.png";
	
		if (document.mode=="sus")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingerbar.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingerbar.png";
				document.fingernail52.src = "fingers_img/fingernail.png";
				
				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingernail.png";

				document.fingernail05.src = "fingers_img/fingerover.png";
				document.fingernail15.src = "fingers_img/fingerover.png";
				document.fingernail25.src = "fingers_img/fingernail.png";

				document.fingernail66.src = "fingers_img/x.png";
			}
			document.keyb_e.src="pixel_blue.png";
			document.keyb_e_big.src="pixel_blue.png";
			document.keyb_gb.src="pixel_green.png";

			document.case10.src="note_img/note_blue_pt.png";
			document.case112.src="note_img/note_blue_pt.png";
			document.case25.src="note_img/note_blue_pt.png";
			document.case39.src="note_img/note_blue_pt.png";
			document.case42.src="note_img/note_blue_pt.png";
			document.case57.src="note_img/note_blue_pt.png";
			document.case60.src="note_img/note_blue_pt.png";			
			document.case612.src="note_img/note_blue_pt.png";			
			
			document.case12.src="note_img/note_green_pt.png";
			document.case27.src="note_img/note_green_pt.png";
			document.case311.src="note_img/note_green_pt.png";
			document.case44.src="note_img/note_green_pt.png";
			document.case59.src="note_img/note_green_pt.png";
			document.case62.src="note_img/note_green_pt.png";			
		}

		if (document.mode=="maj")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingerbar.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingerbar.png";
				document.fingernail52.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerbar.png";
				document.fingernail34.src = "fingers_img/fingerbar.png";
				document.fingernail44.src = "fingers_img/fingernail.png";

				document.fingernail65.src = "fingers_img/x.png";
			}
			document.keyb_eb.src="pixel_blue.png";
			document.keyb_gb.src="pixel_green.png";

			document.case111.src="note_img/note_blue_pt.png";
			document.case24.src="note_img/note_blue_pt.png";
			document.case38.src="note_img/note_blue_pt.png";
			document.case41.src="note_img/note_blue_pt.png";
			document.case56.src="note_img/note_blue_pt.png";
			document.case611.src="note_img/note_blue_pt.png";			

			document.case12.src="note_img/note_green_pt.png";
			document.case27.src="note_img/note_green_pt.png";
			document.case311.src="note_img/note_green_pt.png";
			document.case44.src="note_img/note_green_pt.png";
			document.case59.src="note_img/note_green_pt.png";
			document.case62.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="min")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerbar.png";
				document.fingernail12.src = "fingers_img/fingerbar.png";
				document.fingernail22.src = "fingers_img/fingerbar.png";
				document.fingernail32.src = "fingers_img/fingerbar.png";
				document.fingernail42.src = "fingers_img/fingerbar.png";
				document.fingernail52.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingerbar.png";
				document.fingernail44.src = "fingers_img/fingernail.png";

				document.fingernail65.src = "fingers_img/x.png";
			}
			document.keyb_d.src="pixel_blue.png";
			document.keyb_d_big.src="pixel_blue.png";
			document.keyb_gb.src="pixel_green.png";

			document.case110.src="note_img/note_blue_pt.png";
			document.case23.src="note_img/note_blue_pt.png";
			document.case37.src="note_img/note_blue_pt.png";
			document.case40.src="note_img/note_blue_pt.png";
			document.case412.src="note_img/note_blue_pt.png";
			document.case55.src="note_img/note_blue_pt.png";
			document.case610.src="note_img/note_blue_pt.png";			

			document.case12.src="note_img/note_green_pt.png";
			document.case27.src="note_img/note_green_pt.png";
			document.case311.src="note_img/note_green_pt.png";
			document.case44.src="note_img/note_green_pt.png";
			document.case59.src="note_img/note_green_pt.png";
			document.case62.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="dim")
		{
			if (document.handmode=="on")
			{
				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingerover.png";
				document.fingernail52.src = "fingers_img/fingernail.png";
				
				document.fingernail03.src = "fingers_img/fingerover.png";
				document.fingernail13.src = "fingers_img/fingerover.png";
				document.fingernail23.src = "fingers_img/fingerbar.png";
				document.fingernail33.src = "fingers_img/fingerover.png";
				document.fingernail43.src = "fingers_img/fingernail.png";

				document.fingernail04.src = "fingers_img/fingerover.png";
				document.fingernail14.src = "fingers_img/fingerover.png";
				document.fingernail24.src = "fingers_img/fingerover.png";
				document.fingernail34.src = "fingers_img/fingernail.png";

				document.fingernail15.src = "fingers_img/x.png";
				document.fingernail65.src = "fingers_img/x.png";
			}
			document.keyb_d.src="pixel_blue.png";
			document.keyb_d_big.src="pixel_blue.png";
			document.keyb_f.src="pixel_green.png";
			document.keyb_f_big.src="pixel_green.png";

			document.case110.src="note_img/note_blue_pt.png";
			document.case23.src="note_img/note_blue_pt.png";
			document.case37.src="note_img/note_blue_pt.png";
			document.case40.src="note_img/note_blue_pt.png";
			document.case412.src="note_img/note_blue_pt.png";
			document.case55.src="note_img/note_blue_pt.png";
			document.case610.src="note_img/note_blue_pt.png";			

			document.case11.src="note_img/note_green_pt.png";
			document.case26.src="note_img/note_green_pt.png";
			document.case310.src="note_img/note_green_pt.png";
			document.case43.src="note_img/note_green_pt.png";
			document.case58.src="note_img/note_green_pt.png";
			document.case61.src="note_img/note_green_pt.png";			
		}
		if (document.mode=="aug")
		{
			if (document.handmode=="on")
			{
				document.fingernail01.src = "fingers_img/fingerover.png";
				document.fingernail11.src = "fingers_img/fingerover.png";
				document.fingernail21.src = "fingers_img/fingerover.png";
				document.fingernail31.src = "fingers_img/fingerover.png";
				document.fingernail41.src = "fingers_img/fingernail.png";

				document.fingernail02.src = "fingers_img/fingerover.png";
				document.fingernail12.src = "fingers_img/fingerover.png";
				document.fingernail22.src = "fingers_img/fingerover.png";
				document.fingernail32.src = "fingers_img/fingerover.png";
				document.fingernail42.src = "fingers_img/fingerover.png";
				document.fingernail52.src = "fingers_img/fingernail.png";

				document.fingernail03.src = "fingers_img/fingerbar.png";
				document.fingernail13.src = "fingers_img/fingernail.png";

				document.fingernail64.src = "fingers_img/x.png";
			}
			document.keyb_eb.src="pixel_blue.png";
			document.keyb_g.src="pixel_green.png";
			document.keyb_g_big.src="pixel_green.png";

			document.case111.src="note_img/note_blue_pt.png";
			document.case24.src="note_img/note_blue_pt.png";
			document.case38.src="note_img/note_blue_pt.png";
			document.case41.src="note_img/note_blue_pt.png";
			document.case56.src="note_img/note_blue_pt.png";
			document.case611.src="note_img/note_blue_pt.png";			

			document.case13.src="note_img/note_green_pt.png";
			document.case28.src="note_img/note_green_pt.png";
			document.case30.src="note_img/note_green_pt.png";
			document.case312.src="note_img/note_green_pt.png";
			document.case45.src="note_img/note_green_pt.png";
			document.case510.src="note_img/note_green_pt.png";
			document.case63.src="note_img/note_green_pt.png";			
		}
		if (document.surmode=="7")
		{
			document.keyb_a.src="pixel_yellow.png";
			document.keyb_a_big.src="pixel_yellow.png";

			document.case15.src="note_img/note_yellow_pt.png";
			document.case210.src="note_img/note_yellow_pt.png";
			document.case32.src="note_img/note_yellow_pt.png";
			document.case47.src="note_img/note_yellow_pt.png";
			document.case50.src="note_img/note_yellow_pt.png";
			document.case512.src="note_img/note_yellow_pt.png";
			document.case65.src="note_img/note_yellow_pt.png";
		}
		if (document.surmode=="7dom")
		{
			document.keyb_bb.src="pixel_yellow.png";

			document.case16.src="note_img/note_yellow_pt.png";
			document.case211.src="note_img/note_yellow_pt.png";
			document.case33.src="note_img/note_yellow_pt.png";
			document.case48.src="note_img/note_yellow_pt.png";
			document.case51.src="note_img/note_yellow_pt.png";
			document.case66.src="note_img/note_yellow_pt.png";
		}
	}
}


/*********************************/
// HIDING AND SHOWING PREFERENCES
/*********************************/

// showPrefs() is called when the preferences flipper is clicked upon.  It freezes the front of the widget,
// hides the front div, unhides the back div, and then flips the widget over.

function showPrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	
	if (window.widget)
		widget.prepareForTransition("ToBack");		// freezes the widget so that you can change it without the user noticing
	
	front.style.display="none";		// hide the front
	back.style.display="block";		// show the back
	
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		// and flip the widget over	

	document.getElementById('fliprollie').style.display = 'none';  // clean up the front side - hide the circle behind the info button

}


// hidePrefs() is called by the done button on the back side of the widget.  It performs the opposite transition
// as showPrefs() does.

function hidePrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	
	if (window.widget)
		widget.prepareForTransition("ToFront");		// freezes the widget and prepares it for the flip back to the front
	
	back.style.display="none";			// hide the back
	front.style.display="block";		// show the front
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		// and flip the widget back to the front
}


// PREFERENCE BUTTON ANIMATION (- the pref flipper fade in/out)

var flipShown = false;		// a flag used to signify if the flipper is currently shown or not.


// A structure that holds information that is needed for the animation to run.
var animation = {duration:0, starttime:0, to:1.0, now:0.0, from:0.0, firstElement:null, timer:null};


// mousemove() is the event handle assigned to the onmousemove property on the front div of the widget. 
// It is triggered whenever a mouse is moved within the bounds of your widget.  It prepares the
// preference flipper fade and then calls animate() to performs the animation.

function mousemove (event)
{
	if (!flipShown)			// if the preferences flipper is not already showing...
	{
		if (animation.timer != null)			// reset the animation timer value, in case a value was left behind
		{
			clearInterval (animation.timer);
			animation.timer  = null;
		}
		
		var starttime = (new Date).getTime() - 13; 		// set it back one frame
		
		animation.duration = 500;												// animation time, in ms
		animation.starttime = starttime;										// specify the start time
		animation.firstElement = document.getElementById ('flip');		// specify the element to fade
		animation.timer = setInterval ("animate();", 13);						// set the animation function
		animation.from = animation.now;											// beginning opacity (not ness. 0)
		animation.to = 1.0;														// final opacity
		animate();																// begin animation
		flipShown = true;														// mark the flipper as animated
	}
}

// mouseexit() is the opposite of mousemove() in that it preps the preferences flipper
// to disappear.  It adds the appropriate values to the animation data structure and sets the animation in motion.

function mouseexit (event)
{
	if (flipShown)
	{
		// fade in the flip widget
		if (animation.timer != null)
		{
			clearInterval (animation.timer);
			animation.timer  = null;
		}
		
		var starttime = (new Date).getTime() - 13;
		
		animation.duration = 500;
		animation.starttime = starttime;
		animation.firstElement = document.getElementById ('flip');
		animation.timer = setInterval ("animate();", 13);
		animation.from = animation.now;
		animation.to = 0.0;
		animate();
		flipShown = false;
	}
}


// animate() performs the fade animation for the preferences flipper. It uses the opacity CSS property to simulate a fade.

function animate()
{
	var T;
	var ease;
	var time = (new Date).getTime();
		
	
	T = limit_3(time-animation.starttime, 0, animation.duration);
	
	if (T >= animation.duration)
	{
		clearInterval (animation.timer);
		animation.timer = null;
		animation.now = animation.to;
	}
	else
	{
		ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration));
		animation.now = computeNextFloat (animation.from, animation.to, ease);
	}
	
	animation.firstElement.style.opacity = animation.now;
}


// these functions are utilities used by animate()

function limit_3 (a, b, c)
{
    return a < b ? b : (a > c ? c : a);
}

function computeNextFloat (from, to, ease)
{
    return from + (to - from) * ease;
}

// these functions are called when the info button itself receives onmouseover and onmouseout events

function enterflip(event)
{
	document.getElementById('fliprollie').style.display = 'block';
}

function exitflip(event)
{
	document.getElementById('fliprollie').style.display = 'none';
}